#pragma once
#include "precompile.h"

// Error wrapper fr system error
struct Error
{
	Error(int); // fr att f tag i senaste error meddelandet
	Error(int, std::string); // fr att skapa ett custom error kod och meddelande
	int code{0};  // error kod
	std::string msg{0}; // error frklaring

	bool operator==(int input) { // vid jmnfrelse
		return code == input;
	}
	operator bool() const{ // vid anvndning av if(Error) 
		return code != ERROR_SUCCESS;
	}
	std::string to_string() { // fr serilzation till en window_log
		return "[" + std::to_string(code) + "] " + msg;
	}
};

inline std::ostream& operator<<(std::ostream& os, const Error& m) // vid utskrivt std::cout << error << std::endl;
{
	return os << "[" << m.code<< "] " << m.msg;
}
