#pragma once
#include "precompile.h"
#include "ui_element.h"

// fr att ta emot input frn anvndaren i en specifik del av skrmen
class input_box :
	public ui_element
{
public:
	input_box(window& win, point position, int lenght);

	virtual void edit(); // ta input

	//enkapsulerings funktioner
	void set_length(int length);
	int get_length();

	// rvda frn ui_element
	size get_element_size() const;
	void draw_element();
protected:
	std::string content_; // inputen som anvndaren har skrivit
	int length_; // lngden som man fr skriva
};

