#pragma once
#include "precompile.h"


// struktur fr att hantera olika error meddelande som kan intrffa i tex winapi
struct Error
{
	Error(int); // fr att f tag i senaste error meddelandet
	Error(int, std::string); // fr att skapa ett custom error kod och meddelande
	int code{ 0 }; // error kod
	std::string msg{ 0 }; // error frklaring

	bool operator==(int input) { // vid jmnfrelse med en error och int
		return code == input;
	}
	operator bool() const { // vid anvndning av if(Error) 
		return code != ERROR_SUCCESS;
	}
};

inline std::ostream& operator<<(std::ostream& os, const Error& m) // vid utskrivt till en ostream
{
	return os << "[" << m.code << "] " << m.msg;
}
