#include "precompile.h"
#include "client.h"

std::string ip_address = "127.0.0.1";// IP Address of the server
int port = 54321; // Listening port # on the server

// initializera klient till ip och port
client main_client = client(ip_address, port);

BOOL WINAPI DeconstructorOnExit(DWORD fdwCtrlType)
{
	if (fdwCtrlType == CTRL_SHUTDOWN_EVENT || // vid avstngning
		fdwCtrlType == CTRL_LOGOFF_EVENT || // vid utloggning
		fdwCtrlType == CTRL_CLOSE_EVENT) // vid stngning
	{
		main_client.~client(); // kalla dekonstructor nr man stnger konsolen
		return TRUE;
	}
	else {
		return FALSE;
	}

}

int main()
{
	SetConsoleCtrlHandler(DeconstructorOnExit, TRUE); // skapa en rutinhanterare nr man stnger konsolen

	std::locale::global(std::locale("sw")); // s att vi kan anvnda 

	startup_wsa(); // starta winsocket

	main_client.connect(); // anslut

	main_client.run_packet_handler(); // kr packet hanterar
}
