#pragma once
#include "precompile.h"
// struktur vid hmtning av pseudo "tcp" huvudet
struct header {
	int id_size;
	int data_size;
};
//struktur vid hmtning av ett paket
struct packet {
	std::string id;
	std::string data;
};

// struktur vid skickning av en data eller ett meddelande
struct message {
	std::string identifier;
	std::string data;

	std::string buffer() { // anvnt fr att seriliza message strukturten till en strng fr att kunna verfra den via send
		std::stringstream ss;
		ss
			<< std::string(16 - std::to_string(identifier.length()).length(), '0') << std::to_string(identifier.length())
			<< std::string(16 - std::to_string(data.length()).length(), '0') << std::to_string(data.length())
			<< identifier
			<< data;

		return ss.str();
	}
};
